Elaborated the --footer option
[enscript.git] / states / tests / Makefile.in
1 # Makefile.in generated by automake 1.16.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Makefile.am for states tests.
19 # Copyright (c) 1997 Markku Rossi
20 #
21 # Author: Markku Rossi <mtr@iki.fi>
22 #
23
24 #
25 # This file is part of GNU Enscript.
26 #
27 # Enscript is free software: you can redistribute it and/or modify
28 # it under the terms of the GNU General Public License as published by
29 # the Free Software Foundation, either version 3 of the License, or
30 # (at your option) any later version.
31 #
32 # Enscript is distributed in the hope that it will be useful,
33 # but WITHOUT ANY WARRANTY; without even the implied warranty of
34 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
35 # GNU General Public License for more details.
36 #
37 # You should have received a copy of the GNU General Public License
38 # along with Enscript.  If not, see <http://www.gnu.org/licenses/>.
39 #
40 VPATH = @srcdir@
41 am__is_gnu_make = { \
42   if test -z '$(MAKELEVEL)'; then \
43     false; \
44   elif test -n '$(MAKE_HOST)'; then \
45     true; \
46   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
47     true; \
48   else \
49     false; \
50   fi; \
51 }
52 am__make_running_with_option = \
53   case $${target_option-} in \
54       ?) ;; \
55       *) echo "am__make_running_with_option: internal error: invalid" \
56               "target option '$${target_option-}' specified" >&2; \
57          exit 1;; \
58   esac; \
59   has_opt=no; \
60   sane_makeflags=$$MAKEFLAGS; \
61   if $(am__is_gnu_make); then \
62     sane_makeflags=$$MFLAGS; \
63   else \
64     case $$MAKEFLAGS in \
65       *\\[\ \   ]*) \
66         bs=\\; \
67         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
68           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
69     esac; \
70   fi; \
71   skip_next=no; \
72   strip_trailopt () \
73   { \
74     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
75   }; \
76   for flg in $$sane_makeflags; do \
77     test $$skip_next = yes && { skip_next=no; continue; }; \
78     case $$flg in \
79       *=*|--*) continue;; \
80         -*I) strip_trailopt 'I'; skip_next=yes;; \
81       -*I?*) strip_trailopt 'I';; \
82         -*O) strip_trailopt 'O'; skip_next=yes;; \
83       -*O?*) strip_trailopt 'O';; \
84         -*l) strip_trailopt 'l'; skip_next=yes;; \
85       -*l?*) strip_trailopt 'l';; \
86       -[dEDm]) skip_next=yes;; \
87       -[JT]) skip_next=yes;; \
88     esac; \
89     case $$flg in \
90       *$$target_option*) has_opt=yes; break;; \
91     esac; \
92   done; \
93   test $$has_opt = yes
94 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
95 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
96 pkgdatadir = $(datadir)/@PACKAGE@
97 pkgincludedir = $(includedir)/@PACKAGE@
98 pkglibdir = $(libdir)/@PACKAGE@
99 pkglibexecdir = $(libexecdir)/@PACKAGE@
100 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
101 install_sh_DATA = $(install_sh) -c -m 644
102 install_sh_PROGRAM = $(install_sh) -c
103 install_sh_SCRIPT = $(install_sh) -c
104 INSTALL_HEADER = $(INSTALL_DATA)
105 transform = $(program_transform_name)
106 NORMAL_INSTALL = :
107 PRE_INSTALL = :
108 POST_INSTALL = :
109 NORMAL_UNINSTALL = :
110 PRE_UNINSTALL = :
111 POST_UNINSTALL = :
112 build_triplet = @build@
113 host_triplet = @host@
114 subdir = states/tests
115 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
116 am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
117         $(top_srcdir)/m4/host-cpu-c-abi.m4 $(top_srcdir)/m4/iconv.m4 \
118         $(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/lib-ld.m4 \
119         $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
120         $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
121         $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
122 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
123         $(ACLOCAL_M4)
124 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
125 mkinstalldirs = $(install_sh) -d
126 CONFIG_HEADER = $(top_builddir)/config.h
127 CONFIG_CLEAN_FILES =
128 CONFIG_CLEAN_VPATH_FILES =
129 AM_V_P = $(am__v_P_@AM_V@)
130 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
131 am__v_P_0 = false
132 am__v_P_1 = :
133 AM_V_GEN = $(am__v_GEN_@AM_V@)
134 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
135 am__v_GEN_0 = @echo "  GEN     " $@;
136 am__v_GEN_1 = 
137 AM_V_at = $(am__v_at_@AM_V@)
138 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
139 am__v_at_0 = @
140 am__v_at_1 = 
141 SOURCES =
142 DIST_SOURCES =
143 am__can_run_installinfo = \
144   case $$AM_UPDATE_INFO_DIR in \
145     n|no|NO) false;; \
146     *) (install-info --version) >/dev/null 2>&1;; \
147   esac
148 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
149 am__tty_colors_dummy = \
150   mgn= red= grn= lgn= blu= brg= std=; \
151   am__color_tests=no
152 am__tty_colors = { \
153   $(am__tty_colors_dummy); \
154   if test "X$(AM_COLOR_TESTS)" = Xno; then \
155     am__color_tests=no; \
156   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
157     am__color_tests=yes; \
158   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
159     am__color_tests=yes; \
160   fi; \
161   if test $$am__color_tests = yes; then \
162     red='\e[0;31m'; \
163     grn='\e[0;32m'; \
164     lgn='\e[1;32m'; \
165     blu='\e[1;34m'; \
166     mgn='\e[0;35m'; \
167     brg='\e[1m'; \
168     std='\e[m'; \
169   fi; \
170 }
171 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
172 am__vpath_adj = case $$p in \
173     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
174     *) f=$$p;; \
175   esac;
176 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
177 am__install_max = 40
178 am__nobase_strip_setup = \
179   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
180 am__nobase_strip = \
181   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
182 am__nobase_list = $(am__nobase_strip_setup); \
183   for p in $$list; do echo "$$p $$p"; done | \
184   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
185   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
186     if (++n[$$2] == $(am__install_max)) \
187       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
188     END { for (dir in files) print dir, files[dir] }'
189 am__base_list = \
190   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
191   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
192 am__uninstall_files_from_dir = { \
193   test -z "$$files" \
194     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
195     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
196          $(am__cd) "$$dir" && rm -f $$files; }; \
197   }
198 am__recheck_rx = ^[     ]*:recheck:[    ]*
199 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
200 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
201 # A command that, given a newline-separated list of test names on the
202 # standard input, print the name of the tests that are to be re-run
203 # upon "make recheck".
204 am__list_recheck_tests = $(AWK) '{ \
205   recheck = 1; \
206   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
207     { \
208       if (rc < 0) \
209         { \
210           if ((getline line2 < ($$0 ".log")) < 0) \
211             recheck = 0; \
212           break; \
213         } \
214       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
215         { \
216           recheck = 0; \
217           break; \
218         } \
219       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
220         { \
221           break; \
222         } \
223     }; \
224   if (recheck) \
225     print $$0; \
226   close ($$0 ".trs"); \
227   close ($$0 ".log"); \
228 }'
229 # A command that, given a newline-separated list of test names on the
230 # standard input, create the global log from their .trs and .log files.
231 am__create_global_log = $(AWK) ' \
232 function fatal(msg) \
233 { \
234   print "fatal: making $@: " msg | "cat >&2"; \
235   exit 1; \
236 } \
237 function rst_section(header) \
238 { \
239   print header; \
240   len = length(header); \
241   for (i = 1; i <= len; i = i + 1) \
242     printf "="; \
243   printf "\n\n"; \
244 } \
245 { \
246   copy_in_global_log = 1; \
247   global_test_result = "RUN"; \
248   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
249     { \
250       if (rc < 0) \
251          fatal("failed to read from " $$0 ".trs"); \
252       if (line ~ /$(am__global_test_result_rx)/) \
253         { \
254           sub("$(am__global_test_result_rx)", "", line); \
255           sub("[        ]*$$", "", line); \
256           global_test_result = line; \
257         } \
258       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
259         copy_in_global_log = 0; \
260     }; \
261   if (copy_in_global_log) \
262     { \
263       rst_section(global_test_result ": " $$0); \
264       while ((rc = (getline line < ($$0 ".log"))) != 0) \
265       { \
266         if (rc < 0) \
267           fatal("failed to read from " $$0 ".log"); \
268         print line; \
269       }; \
270       printf "\n"; \
271     }; \
272   close ($$0 ".trs"); \
273   close ($$0 ".log"); \
274 }'
275 # Restructured Text title.
276 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
277 # Solaris 10 'make', and several other traditional 'make' implementations,
278 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
279 # by disabling -e (using the XSI extension "set +e") if it's set.
280 am__sh_e_setup = case $$- in *e*) set +e;; esac
281 # Default flags passed to test drivers.
282 am__common_driver_flags = \
283   --color-tests "$$am__color_tests" \
284   --enable-hard-errors "$$am__enable_hard_errors" \
285   --expect-failure "$$am__expect_failure"
286 # To be inserted before the command running the test.  Creates the
287 # directory for the log if needed.  Stores in $dir the directory
288 # containing $f, in $tst the test, in $log the log.  Executes the
289 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
290 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
291 # will run the test scripts (or their associated LOG_COMPILER, if
292 # thy have one).
293 am__check_pre = \
294 $(am__sh_e_setup);                                      \
295 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
296 $(am__tty_colors);                                      \
297 srcdir=$(srcdir); export srcdir;                        \
298 case "$@" in                                            \
299   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
300     *) am__odir=.;;                                     \
301 esac;                                                   \
302 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
303   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
304 if test -f "./$$f"; then dir=./;                        \
305 elif test -f "$$f"; then dir=;                          \
306 else dir="$(srcdir)/"; fi;                              \
307 tst=$$dir$$f; log='$@';                                 \
308 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
309   am__enable_hard_errors=no;                            \
310 else                                                    \
311   am__enable_hard_errors=yes;                           \
312 fi;                                                     \
313 case " $(XFAIL_TESTS) " in                              \
314   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
315     am__expect_failure=yes;;                            \
316   *)                                                    \
317     am__expect_failure=no;;                             \
318 esac;                                                   \
319 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
320 # A shell command to get the names of the tests scripts with any registered
321 # extension removed (i.e., equivalently, the names of the test logs, with
322 # the '.log' extension removed).  The result is saved in the shell variable
323 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
324 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
325 # since that might cause problem with VPATH rewrites for suffix-less tests.
326 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
327 am__set_TESTS_bases = \
328   bases='$(TEST_LOGS)'; \
329   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
330   bases=`echo $$bases`
331 AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
332 RECHECK_LOGS = $(TEST_LOGS)
333 AM_RECURSIVE_TARGETS = check recheck
334 TEST_SUITE_LOG = test-suite.log
335 TEST_EXTENSIONS = @EXEEXT@ .test
336 am__test_logs1 = $(TESTS:=.log)
337 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
338 TEST_LOGS = $(am__test_logs2:.test.log=.log)
339 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
340 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
341         $(TEST_LOG_FLAGS)
342 am__set_b = \
343   case '$@' in \
344     */*) \
345       case '$*' in \
346         */*) b='$*';; \
347           *) b=`echo '$@' | sed 's/\.log$$//'`; \
348        esac;; \
349     *) \
350       b='$*';; \
351   esac
352 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver
353 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
354 ACLOCAL = @ACLOCAL@
355 ALLOCA = @ALLOCA@
356 AMTAR = @AMTAR@
357 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
358 AUTOCONF = @AUTOCONF@
359 AUTOHEADER = @AUTOHEADER@
360 AUTOMAKE = @AUTOMAKE@
361 AWK = @AWK@
362 CC = @CC@
363 CCDEPMODE = @CCDEPMODE@
364 CFLAGS = @CFLAGS@
365 CPP = @CPP@
366 CPPFLAGS = @CPPFLAGS@
367 CSCOPE = @CSCOPE@
368 CTAGS = @CTAGS@
369 CYGPATH_W = @CYGPATH_W@
370 DEFS = @DEFS@
371 DEPDIR = @DEPDIR@
372 ECHO_C = @ECHO_C@
373 ECHO_N = @ECHO_N@
374 ECHO_T = @ECHO_T@
375 EGREP = @EGREP@
376 ENCODING = @ENCODING@
377 ETAGS = @ETAGS@
378 EXEEXT = @EXEEXT@
379 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
380 GMSGFMT = @GMSGFMT@
381 GMSGFMT_015 = @GMSGFMT_015@
382 GREP = @GREP@
383 INSTALL = @INSTALL@
384 INSTALL_DATA = @INSTALL_DATA@
385 INSTALL_PROGRAM = @INSTALL_PROGRAM@
386 INSTALL_SCRIPT = @INSTALL_SCRIPT@
387 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
388 INTLLIBS = @INTLLIBS@
389 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
390 LDFLAGS = @LDFLAGS@
391 LEX = @LEX@
392 LEXLIB = @LEXLIB@
393 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
394 LIBICONV = @LIBICONV@
395 LIBINTL = @LIBINTL@
396 LIBOBJS = @LIBOBJS@
397 LIBS = @LIBS@
398 LTLIBICONV = @LTLIBICONV@
399 LTLIBINTL = @LTLIBINTL@
400 LTLIBOBJS = @LTLIBOBJS@
401 MAKEINFO = @MAKEINFO@
402 MEDIA = @MEDIA@
403 MKDIR_P = @MKDIR_P@
404 MSGFMT = @MSGFMT@
405 MSGMERGE = @MSGMERGE@
406 MSGMERGE_FOR_MSGFMT_OPTION = @MSGMERGE_FOR_MSGFMT_OPTION@
407 OBJEXT = @OBJEXT@
408 PACKAGE = @PACKAGE@
409 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
410 PACKAGE_NAME = @PACKAGE_NAME@
411 PACKAGE_STRING = @PACKAGE_STRING@
412 PACKAGE_TARNAME = @PACKAGE_TARNAME@
413 PACKAGE_URL = @PACKAGE_URL@
414 PACKAGE_VERSION = @PACKAGE_VERSION@
415 PATH_SEPARATOR = @PATH_SEPARATOR@
416 PERL = @PERL@
417 POSUB = @POSUB@
418 PSLEVEL = @PSLEVEL@
419 RANLIB = @RANLIB@
420 SED = @SED@
421 SET_MAKE = @SET_MAKE@
422 SHELL = @SHELL@
423 SPOOLER = @SPOOLER@
424 STRIP = @STRIP@
425 USE_NLS = @USE_NLS@
426 VERSION = @VERSION@
427 XGETTEXT = @XGETTEXT@
428 XGETTEXT_015 = @XGETTEXT_015@
429 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
430 YACC = @YACC@
431 YFLAGS = @YFLAGS@
432 abs_builddir = @abs_builddir@
433 abs_srcdir = @abs_srcdir@
434 abs_top_builddir = @abs_top_builddir@
435 abs_top_srcdir = @abs_top_srcdir@
436 ac_ct_CC = @ac_ct_CC@
437 am__include = @am__include@
438 am__leading_dot = @am__leading_dot@
439 am__quote = @am__quote@
440 am__tar = @am__tar@
441 am__untar = @am__untar@
442 bindir = @bindir@
443 build = @build@
444 build_alias = @build_alias@
445 build_cpu = @build_cpu@
446 build_os = @build_os@
447 build_vendor = @build_vendor@
448 builddir = @builddir@
449 datadir = @datadir@
450 datarootdir = @datarootdir@
451 docdir = @docdir@
452 dvidir = @dvidir@
453 exec_prefix = @exec_prefix@
454 host = @host@
455 host_alias = @host_alias@
456 host_cpu = @host_cpu@
457 host_os = @host_os@
458 host_vendor = @host_vendor@
459 htmldir = @htmldir@
460 includedir = @includedir@
461 infodir = @infodir@
462 install_sh = @install_sh@
463 libdir = @libdir@
464 libexecdir = @libexecdir@
465 localedir = @localedir@
466 localstatedir = @localstatedir@
467 mandir = @mandir@
468 mkdir_p = @mkdir_p@
469 oldincludedir = @oldincludedir@
470 pdfdir = @pdfdir@
471 prefix = @prefix@
472 program_transform_name = @program_transform_name@
473 psdir = @psdir@
474 runstatedir = @runstatedir@
475 sbindir = @sbindir@
476 sharedstatedir = @sharedstatedir@
477 srcdir = @srcdir@
478 sysconfdir = @sysconfdir@
479 target_alias = @target_alias@
480 top_build_prefix = @top_build_prefix@
481 top_builddir = @top_builddir@
482 top_srcdir = @top_srcdir@
483 AUTOMAKE_OPTIONS = 
484 TESTS = startrules.test namerules.test optionstate.test \
485 firstmatch.test longestmatch.test icase.test vardef.test exprs.test \
486 primconcat.test primfloat.test primgetenv.test primint.test \
487 primlength.test primlist.test primprint.test primregexp.test \
488 primregexp_syntax.test primregmatch.test primregsub.test \
489 primregsuball.test primsprintf.test primstrcmp.test primstring.test \
490 primstrncmp.test primsubstring.test
491
492 EXTRA_DIST = ChangeLog.old defs tests.st $(TESTS)
493 all: all-am
494
495 .SUFFIXES:
496 .SUFFIXES: .log .test .test$(EXEEXT) .trs
497 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
498         @for dep in $?; do \
499           case '$(am__configure_deps)' in \
500             *$$dep*) \
501               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
502                 && { if test -f $@; then exit 0; else break; fi; }; \
503               exit 1;; \
504           esac; \
505         done; \
506         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu states/tests/Makefile'; \
507         $(am__cd) $(top_srcdir) && \
508           $(AUTOMAKE) --gnu states/tests/Makefile
509 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
510         @case '$?' in \
511           *config.status*) \
512             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
513           *) \
514             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
515             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
516         esac;
517
518 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
519         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
520
521 $(top_srcdir)/configure:  $(am__configure_deps)
522         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
523 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
524         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
525 $(am__aclocal_m4_deps):
526 tags TAGS:
527
528 ctags CTAGS:
529
530 cscope cscopelist:
531
532
533 # Recover from deleted '.trs' file; this should ensure that
534 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
535 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
536 # to avoid problems with "make -n".
537 .log.trs:
538         rm -f $< $@
539         $(MAKE) $(AM_MAKEFLAGS) $<
540
541 # Leading 'am--fnord' is there to ensure the list of targets does not
542 # expand to empty, as could happen e.g. with make check TESTS=''.
543 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
544 am--force-recheck:
545         @:
546
547 $(TEST_SUITE_LOG): $(TEST_LOGS)
548         @$(am__set_TESTS_bases); \
549         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
550         redo_bases=`for i in $$bases; do \
551                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
552                     done`; \
553         if test -n "$$redo_bases"; then \
554           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
555           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
556           if $(am__make_dryrun); then :; else \
557             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
558           fi; \
559         fi; \
560         if test -n "$$am__remaking_logs"; then \
561           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
562                "recursion detected" >&2; \
563         elif test -n "$$redo_logs"; then \
564           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
565         fi; \
566         if $(am__make_dryrun); then :; else \
567           st=0;  \
568           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
569           for i in $$redo_bases; do \
570             test -f $$i.trs && test -r $$i.trs \
571               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
572             test -f $$i.log && test -r $$i.log \
573               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
574           done; \
575           test $$st -eq 0 || exit 1; \
576         fi
577         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
578         ws='[   ]'; \
579         results=`for b in $$bases; do echo $$b.trs; done`; \
580         test -n "$$results" || results=/dev/null; \
581         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
582         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
583         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
584         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
585         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
586         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
587         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
588         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
589           success=true; \
590         else \
591           success=false; \
592         fi; \
593         br='==================='; br=$$br$$br$$br$$br; \
594         result_count () \
595         { \
596             if test x"$$1" = x"--maybe-color"; then \
597               maybe_colorize=yes; \
598             elif test x"$$1" = x"--no-color"; then \
599               maybe_colorize=no; \
600             else \
601               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
602             fi; \
603             shift; \
604             desc=$$1 count=$$2; \
605             if test $$maybe_colorize = yes && test $$count -gt 0; then \
606               color_start=$$3 color_end=$$std; \
607             else \
608               color_start= color_end=; \
609             fi; \
610             echo "$${color_start}# $$desc $$count$${color_end}"; \
611         }; \
612         create_testsuite_report () \
613         { \
614           result_count $$1 "TOTAL:" $$all   "$$brg"; \
615           result_count $$1 "PASS: " $$pass  "$$grn"; \
616           result_count $$1 "SKIP: " $$skip  "$$blu"; \
617           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
618           result_count $$1 "FAIL: " $$fail  "$$red"; \
619           result_count $$1 "XPASS:" $$xpass "$$red"; \
620           result_count $$1 "ERROR:" $$error "$$mgn"; \
621         }; \
622         {                                                               \
623           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
624             $(am__rst_title);                                           \
625           create_testsuite_report --no-color;                           \
626           echo;                                                         \
627           echo ".. contents:: :depth: 2";                               \
628           echo;                                                         \
629           for b in $$bases; do echo $$b; done                           \
630             | $(am__create_global_log);                                 \
631         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
632         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
633         if $$success; then                                              \
634           col="$$grn";                                                  \
635          else                                                           \
636           col="$$red";                                                  \
637           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
638         fi;                                                             \
639         echo "$${col}$$br$${std}";                                      \
640         echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
641         echo "$${col}$$br$${std}";                                      \
642         create_testsuite_report --maybe-color;                          \
643         echo "$$col$$br$$std";                                          \
644         if $$success; then :; else                                      \
645           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
646           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
647             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
648           fi;                                                           \
649           echo "$$col$$br$$std";                                        \
650         fi;                                                             \
651         $$success || exit 1
652
653 check-TESTS: 
654         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
655         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
656         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
657         @set +e; $(am__set_TESTS_bases); \
658         log_list=`for i in $$bases; do echo $$i.log; done`; \
659         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
660         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
661         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
662         exit $$?;
663 recheck: all 
664         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
665         @set +e; $(am__set_TESTS_bases); \
666         bases=`for i in $$bases; do echo $$i; done \
667                  | $(am__list_recheck_tests)` || exit 1; \
668         log_list=`for i in $$bases; do echo $$i.log; done`; \
669         log_list=`echo $$log_list`; \
670         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
671                 am__force_recheck=am--force-recheck \
672                 TEST_LOGS="$$log_list"; \
673         exit $$?
674 .test.log:
675         @p='$<'; \
676         $(am__set_b); \
677         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
678         --log-file $$b.log --trs-file $$b.trs \
679         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
680         "$$tst" $(AM_TESTS_FD_REDIRECT)
681 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
682 @am__EXEEXT_TRUE@       @p='$<'; \
683 @am__EXEEXT_TRUE@       $(am__set_b); \
684 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
685 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
686 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
687 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
688 distdir: $(BUILT_SOURCES)
689         $(MAKE) $(AM_MAKEFLAGS) distdir-am
690
691 distdir-am: $(DISTFILES)
692         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
693         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
694         list='$(DISTFILES)'; \
695           dist_files=`for file in $$list; do echo $$file; done | \
696           sed -e "s|^$$srcdirstrip/||;t" \
697               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
698         case $$dist_files in \
699           */*) $(MKDIR_P) `echo "$$dist_files" | \
700                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
701                            sort -u` ;; \
702         esac; \
703         for file in $$dist_files; do \
704           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
705           if test -d $$d/$$file; then \
706             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
707             if test -d "$(distdir)/$$file"; then \
708               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
709             fi; \
710             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
711               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
712               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
713             fi; \
714             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
715           else \
716             test -f "$(distdir)/$$file" \
717             || cp -p $$d/$$file "$(distdir)/$$file" \
718             || exit 1; \
719           fi; \
720         done
721 check-am: all-am
722         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
723 check: check-am
724 all-am: Makefile
725 installdirs:
726 install: install-am
727 install-exec: install-exec-am
728 install-data: install-data-am
729 uninstall: uninstall-am
730
731 install-am: all-am
732         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
733
734 installcheck: installcheck-am
735 install-strip:
736         if test -z '$(STRIP)'; then \
737           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
738             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
739               install; \
740         else \
741           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
742             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
743             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
744         fi
745 mostlyclean-generic:
746         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
747         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
748         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
749
750 clean-generic:
751
752 distclean-generic:
753         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
754         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
755
756 maintainer-clean-generic:
757         @echo "This command is intended for maintainers to use"
758         @echo "it deletes files that may require special tools to rebuild."
759 clean: clean-am
760
761 clean-am: clean-generic mostlyclean-am
762
763 distclean: distclean-am
764         -rm -f Makefile
765 distclean-am: clean-am distclean-generic
766
767 dvi: dvi-am
768
769 dvi-am:
770
771 html: html-am
772
773 html-am:
774
775 info: info-am
776
777 info-am:
778
779 install-data-am:
780
781 install-dvi: install-dvi-am
782
783 install-dvi-am:
784
785 install-exec-am:
786
787 install-html: install-html-am
788
789 install-html-am:
790
791 install-info: install-info-am
792
793 install-info-am:
794
795 install-man:
796
797 install-pdf: install-pdf-am
798
799 install-pdf-am:
800
801 install-ps: install-ps-am
802
803 install-ps-am:
804
805 installcheck-am:
806
807 maintainer-clean: maintainer-clean-am
808         -rm -f Makefile
809 maintainer-clean-am: distclean-am maintainer-clean-generic
810
811 mostlyclean: mostlyclean-am
812
813 mostlyclean-am: mostlyclean-generic
814
815 pdf: pdf-am
816
817 pdf-am:
818
819 ps: ps-am
820
821 ps-am:
822
823 uninstall-am:
824
825 .MAKE: check-am install-am install-strip
826
827 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
828         cscopelist-am ctags-am distclean distclean-generic distdir dvi \
829         dvi-am html html-am info info-am install install-am \
830         install-data install-data-am install-dvi install-dvi-am \
831         install-exec install-exec-am install-html install-html-am \
832         install-info install-info-am install-man install-pdf \
833         install-pdf-am install-ps install-ps-am install-strip \
834         installcheck installcheck-am installdirs maintainer-clean \
835         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
836         pdf-am ps ps-am recheck tags-am uninstall uninstall-am
837
838 .PRECIOUS: Makefile
839
840
841 # Tell versions [3.59,3.63) of GNU make to not export all variables.
842 # Otherwise a system limit (for SysV at least) may be exceeded.
843 .NOEXPORT: